Bug 74033 - gnome-vfs2-devel doesn't own some directories that it should
gnome-vfs2-devel doesn't own some directories that it should
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: EasyFix, Triaged
Depends On:
Blocks: 79579
  Show dependency treegraph
Reported: 2002-09-13 16:33 EDT by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-11 00:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 16:33:11 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing the package because orphaned
directories will remaining.

| $ rpm -qf /usr/lib/gnome-vfs-2.0/include /usr/lib/gnome-vfs-2.0/include/gnome-vfs-file-size.h
| file /usr/lib/gnome-vfs-2.0/include is not owned by any package
| gnome-vfs2-devel-2.0.2-2

(Please visit the given URL for a complete list of affected directories)

Version-Release number of selected component (if applicable):


How Reproducible: 100%

Steps to Reproduce:
0. make a minimal installation
1. umask 077
2. make sure that gnome-vfs2-devel is uninstalled completely
   (rm -rf /usr/lib/gnome-vfs-2.0/include)
3. rpm -U gnome-vfs2-devel-2.0.2-2.i386.rpm
4. ls -l /usr/lib/gnome-vfs-2.0/include
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e gnome-vfs2-devel-2.0.2-2

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 21:51 /usr/lib/gnome-vfs-2.0/include
* files can not be found/read at 5 and
* /usr/lib/gnome-vfs-2.0/include still exists after 6.
Comment 1 Bill Nottingham 2003-02-11 00:08:41 EST
fixed at some point

Note You need to log in before you can comment on or make changes to this bug.